import processing.serial.*;
import cc.arduino.*;

Arduino arduino;
int pos=-1; //servo position in degrees (0..180)

void setup() {
  size(360, 200);
  arduino = new Arduino(this, Arduino.list()[2], 57600);
  arduino.servoAttach(9);
  //arduino.servoSetMinPulseTime(9,544);
  //arduino.servoSetMaxPulseTime(9,2500);
  arduino.servoAttach(10);
}

void draw() {
  // read new mouseX coordinate
  int newPos = constrain(mouseX/2,0,180); 

  // update bg & servo position if mouseX changed
  if(newPos != pos) {
    background(newPos);
    arduino.servoWrite(9,newPos);
    arduino.servoWrite(10,180-newPos);
    pos=newPos; //update servo position storage variable
  }
}
